uuid: cb3f0b37-e7cc-4c0e-a8fa-3ce302f94f12
langcode: en
status: true
dependencies: {  }
id: upgrade_d6_term_node_revision_6
class: Drupal\migrate\Plugin\Migration
field_plugin_method: alterFieldFormatterMigration
cck_plugin_method: null
migration_tags:
  - 'Drupal 6'
  - Content
migration_group: migrate_drupal_6
label: 'Term/node relationship revisions'
source:
  plugin: d6_term_node_revision
  vid: '6'
process:
  vid:
    -
      plugin: migration_lookup
      migration:
        - upgrade_d6_node_revision_activitystream
        - upgrade_d6_node_revision_blog
        - upgrade_d6_node_revision_event
        - upgrade_d6_node_revision_feed
        - upgrade_d6_node_revision_feed_ical
        - upgrade_d6_node_revision_gallery
        - upgrade_d6_node_revision_inthenews
        - upgrade_d6_node_revision_news
        - upgrade_d6_node_revision_page
        - upgrade_d6_node_revision_photo
        - upgrade_d6_node_revision_resource
        - upgrade_d6_node_revision_simplenews
        - upgrade_d6_node_revision_sponsor
        - upgrade_d6_node_revision_stat
        - upgrade_d6_node_revision_story
        - upgrade_d6_node_revision_video
        - upgrade_d6_node_revision_webform
      source: vid
    -
      plugin: skip_on_empty
      method: row
  type:
    -
      plugin: get
      source: type
  field_sponsor_level:
    -
      plugin: get
      source: tid
destination:
  plugin: 'entity_revision:node'
migration_dependencies:
  required:
    - upgrade_d6_term_node_2
    - upgrade_d6_term_node_3
    - upgrade_d6_term_node_4
    - upgrade_d6_term_node_6
    - upgrade_d6_term_node_7
    - upgrade_d6_term_node_8
    - upgrade_d6_node_revision_activitystream
    - upgrade_d6_node_revision_blog
    - upgrade_d6_node_revision_event
    - upgrade_d6_node_revision_feed
    - upgrade_d6_node_revision_feed_ical
    - upgrade_d6_node_revision_gallery
    - upgrade_d6_node_revision_inthenews
    - upgrade_d6_node_revision_news
    - upgrade_d6_node_revision_page
    - upgrade_d6_node_revision_photo
    - upgrade_d6_node_revision_resource
    - upgrade_d6_node_revision_simplenews
    - upgrade_d6_node_revision_sponsor
    - upgrade_d6_node_revision_stat
    - upgrade_d6_node_revision_story
    - upgrade_d6_node_revision_video
    - upgrade_d6_node_revision_webform
  optional:
    - upgrade_d6_node_revision_activitystream
    - upgrade_d6_node_revision_blog
    - upgrade_d6_node_revision_event
    - upgrade_d6_node_revision_feed
    - upgrade_d6_node_revision_feed_ical
    - upgrade_d6_node_revision_gallery
    - upgrade_d6_node_revision_inthenews
    - upgrade_d6_node_revision_news
    - upgrade_d6_node_revision_page
    - upgrade_d6_node_revision_photo
    - upgrade_d6_node_revision_resource
    - upgrade_d6_node_revision_simplenews
    - upgrade_d6_node_revision_sponsor
    - upgrade_d6_node_revision_stat
    - upgrade_d6_node_revision_story
    - upgrade_d6_node_revision_video
    - upgrade_d6_node_revision_webform
    - upgrade_d6_node_revision_activitystream
    - upgrade_d6_node_revision_blog
    - upgrade_d6_node_revision_event
    - upgrade_d6_node_revision_feed
    - upgrade_d6_node_revision_feed_ical
    - upgrade_d6_node_revision_gallery
    - upgrade_d6_node_revision_inthenews
    - upgrade_d6_node_revision_news
    - upgrade_d6_node_revision_page
    - upgrade_d6_node_revision_photo
    - upgrade_d6_node_revision_resource
    - upgrade_d6_node_revision_simplenews
    - upgrade_d6_node_revision_sponsor
    - upgrade_d6_node_revision_stat
    - upgrade_d6_node_revision_story
    - upgrade_d6_node_revision_video
    - upgrade_d6_node_revision_webform
